Application: gvSIG desktop - gvSIG bugs #3580
Aplicar simbologia puede llegar a bloquear la aplicacion
06/10/2015 11:04 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: José Badia

Category: Symbology

Target version: 2.3.0-2409 (rev. org.gvsig.desktop-2.0.11p)

Severity: Critical Add-on version:

gvSIG version: 2.2.0 Add-on build:

gvSIG build: 2313 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Procedimiento:

- Cargar capa de puntos

- Ir a propiedades/Simbologia/Valores Unicos (la capa debe tener varios elementos, por ejemplo 10)

- Vamos aplicando uno a uno el simbolo correspondiente. Aqui lo importante para detectar el error es aplicar simbolos de una
biblioteca que tenga muchos simbolos. Por ejemplo la de "APP6 Military", subcarpeta "Units".

- Al intentar aplicar el 5° o 6° simbolo la aplicacién se queda bloqueada y no llegan a aparece los simbolos en el gestor de
simbologia.

Adjunto log (no sé si se identificara algo, ya que he tenido que matar la aplicacion)

Associated revisions

Revision 42455 - 11/05/2015 11:48 AM - José Badia

refs #3580

Aplicar simbologia puede llegar a bloguear la aplicacién

History

#1 - 10/26/2015 06:37 PM - Alvaro Anguix
- Assignee set to José Badia

#2 - 10/26/2015 06:42 PM - Alvaro Anguix
- Target version set to 98

#3 - 10/29/2015 12:21 PM - Joaquin del Cerro Murciano

Ufff....

Una pistilla...

La ventana del selector de simbolos utiliza un thread separado para ir buscando y cargando simbolos para mostrarlos en la ventana conforme se van
cargando.

Tiene pinta que se cierra la ventana antes de que haya terminado de cargar los simbolos y se queda el thread en ejecucion.

Habria que ver que al cerrarse la ventana se le indica al thread que aborte le ejecucion.
#4 - 11/05/2015 11:49 AM - José Badia

- Status changed from New to Fixed

Se ha modificado el comportamiento de los botones aceptar y cancelar para que cancele el hilo de carga, tal y como sugeria Joaquin
#5 - 11/11/2015 01:25 PM - José Badia
- Target version changed from 98 to 2.3.0-2409 (rev. org.gvsig.desktop-2.0.115)

#6 - 12/21/2015 01:13 PM - Alvaro Anguix
- Status changed from Fixed to Closed
gvSIG.log 397 KB 06/10/2015 Alvaro Anguix
